@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300&display=swap");

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", "sans-serif";
}

a {
    text-decoration: none;
}


::selection {
    color: #ececec;
    background: #00b3ff;
}

.form {
    position: relative;
    background: #f2f3f7;
    width: 100%;
    max-width: 800px;
    border-radius: 12px;
    box-shadow: -3px 3px 10px -5px rgba(0, 0, 0, 0.2);
    padding: 30px 30px;
    
}

.form h2 {
    font-size: 30px;
    font-weight: 700;
    margin-bottom: 20px;
    color: #333;
}

.form p {
    font-size: 14px;
    padding-bottom: 8px;
}

.form form {
    margin: 8px 0;
}

.form form .profile-img {
    position: absolute;
    top: 0;
    right: 0;
    width: 75px;
    height: 75px;
    margin: 18px 30px;
    background: url('../profile_uploads/default.png') center/cover no-repeat; 
    border-radius: 50%;
    border: 4px solid #006692;
}
#preview {
    width: 100%; 
    height: 100%; 
    border-radius: 50%; 
}
.file-upload {
    position: absolute;
    top: 0;
    right: -15px;
    height: 35px;
    width: 35px;
    display: flex;
    border-radius: 50%;
    border: 2px solid #d2d3d7;
    overflow: hidden;
    background: linear-gradient(to bottom, #006692, #f2f3f7, 50%);
    background-size: 100% 200%;
    transition: all 1s;
    font-size: 14px;
    cursor: pointer;
    
}

form input[type="file"] {
    position: relative;
    height: 40px;
    width: 40px;
    opacity: 0;
    cursor: pointer;
    padding: 20px;
}


form i {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 14px;
    color: #333;
    z-index: 100;
    pointer-events: none;
    cursor: pointer;
}

.file-upload:hover {
    background-position: 0 100%;
}

.file-upload:hover i {
    color: #2938aa;
}

.form form .error-text {
    display: none;
    color: #851923;
    padding: 4px 6px;
    text-align: center;
    border-radius: 4px;
    background: #ffe3e5;
    border: 1px solid #dfa5ab;
    margin-bottom: 8px;
}

.form .grid_details {
    display: flex;
    gap: 10px;
}

.form .grid_details .input {
    width: 100%;
    border-radius: 5px;
}

.input-group {
    position: relative;
    margin-bottom: 20px;
}

.input-group .input {
    width: 100%;
    padding: 8px;
    border: 1.5px solid #9e9e9e;
    border-radius: 5px;
    background: none;
    font-size: 18px;
    color: #333;
}

.input-group .label {
    position: absolute;
    top: 50%;
    left: 15px;
    transform: translateY(-50%);
    color: #726e6e;
    pointer-events: none;
    transition: all 0.2s ease;
    background-color: #f2f3f7;
    padding: 0 5px;
}

.input:focus,
.input:valid {
    outline: none;
    border: 1.5px solid #333;
    border-radius: 5px;
}

.input:focus~.label,
.input:valid~.label {
    top: 0;
    left: 10px;
    font-size: 10px;
    color: #333;
    border-radius: 5px;
}

.form form input.button {
    height: 45px;
    border: none;
    color: #f2f3f7;
    width: 100%;
    background: #006692;
    font-size: 17px;
    border-radius: 5px;
    cursor: pointer;
    margin-top: 13px;
    border: 2px solid #2983aa;
}

.form .link {
    text-align: center;
    margin: 10px 0;
    font-size: 15px;
}

.form .link a {
    color: #006692;
    transition: 0.5s ease all;
}

/* .form .link a:hover {
    text-decoration: underline;
} */